Subject: Re: [netatalk-admins] problem with translations

From: Chip Mefford <[email-masked]>
Date: Tue, 30 Jun 1998 15:53:31 -0400 (EDT)

> assumption above, and you have no mapping for .DXF (or the mapping you have
> is to type TEXT) AND Netatalk is configured with translation, then you
> should see those files as being lines with two CRs after each one (because
> the LF in the CRLF gets translated to a CR) which shouldn't bother Minicad,

Well, I am mapping .DXF to TEXT type dosa, as this is the info I find in
the AppleDouble dir for the "successful" .dxfs. 

The only real difference I can find betwixt .dxfs that import successfully
that those that don't is:
On the succesful dxf files,  there is data on every line in the file
on the unsuccesful dxf files, there is a blank line between every
line of data

> I would have thought - you can verify this by opening one of the files in
> Simpletext or Teachtext - don't use a better editor, as they may do fancy
> intelligent things with line endings.

Simpletext won't open any of these files, too large, ain't seen Teachtext
in a loooong time.
 
> To cut a long story short, if you only want to use these files on
> Macintoshes, I'd just munge them with tr like
> 
> cat filename.dxf | tr -d "\012" > converted.dxf

Neat trick, gave it a try, outputed file made minicad puke.
 
> Kindest regards,
> Niall  O Broin

and you, 

> P.S. - DXF is drawing interchange file format (source : AutoCAD manuals)
> rather than Digital eXchange Format.

Right-o, I think i recalled that dxf definition from "Inside Autocad 9"
and also remember reading the proper def in my autocad documentation
later, of course, it was the first, and incorrect information that stuck.

chipper